Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005040TestLinkTest Plan (builds, milestones, test assign)public2012-06-01 08:262012-09-28 13:42
Reportergaersoy 
Assigned Tofman 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0005040: Attempting to add/remove test cases from test plan results with HTTP 500
DescriptionI'm not able to open the page for adding/removing test cases from one of my test plans. The panel displays HTTP 500 error message.

I've checked the Events and there I see something peculiar. In the Warnings log, there are multiple events (for the multiple times I tried to access the page) with the following description:
E_NOTICE Trying to get property of non-object - in /data/testlink/htdocs/lib/functions/tlTestCaseFilterControl.class.php - Line 880
Additional InformationSome observations:
- I'm able to add/remove test cases from other test plans within the same project
- By applying the Keyword filter then I am able to access the test cases which I want to add/remove
- Applying the Execution Type filter does not return the expected test case and returns HTTP 500
- Applying the other filters Test Case ID, Test Case Title, Test Suite returns HTTP 500
- Other users who have the same rights have tried to open the add/remove test cases get the same result and the event warning log message is the same.
- Apache 2.2.3
TagsNo tags attached.
Database (MySQL,Postgres,etc)PostgreSQL 8.1.23
BrowserIE, FF
PHP VersionPHP 5.3.3 (cli) (built: Feb 2 2012 07:02:01)
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0016818)
fman (administrator)
2012-06-01 09:00

1. have you searched for similar issues on mantis ? (remove status filter).
(0016821)
gaersoy (reporter)
2012-06-01 11:57

Yes I have searched but couldn't find a duplicate.
(0016822)
fman (administrator)
2012-06-01 21:44

due to nature of issue, we will need a copy of your db.
(0016827)
gaersoy (reporter)
2012-06-04 07:43

Due to nature of data in the db, NDA's etc. I can't send a copy of the db. Is there another way we can analyze the issue? E.g. if there are certain data in tables you need me to check then I can check them for you.
(0016829)
fman (administrator)
2012-06-04 08:53

Unfortunatelly there is no other way, that test with your dat
(0017426)
w.schmidt (reporter)
2012-09-10 12:49

Hi,

I found the same behaviour in some circumstances. For example (but I am not sure if there is a correlation): a test plan with about 77 builds.
(0017427)
fman (administrator)
2012-09-10 13:45

1. please do same tests on 1.9.4
2. more info is needed in addition to number of builds on test plan, like amount of test cases linked to test plan
(0017430)
w.schmidt (reporter)
2012-09-10 14:11

ad 1: I am planning some tests. But it's not possible during the next week.

ad 2: 454 test cases.

TestLink version: 1.9.3. MySQL: 5.5.x.
(0017589)
w.schmidt (reporter)
2012-09-28 09:38

Good news. For testing purposes I performed a copy / upgrade from 1.9.3 -> 1.9.4.

In the new instance I can see the content in the right frame and I am able to add and to remove test cases. The functionality for the problematic cases is as expected.
(0017590)
fman (administrator)
2012-09-28 13:42

Fantastic ! => I will set to closed

- Issue History
Date Modified Username Field Change
2012-06-01 08:26 gaersoy New Issue
2012-06-01 09:00 fman Note Added: 0016818
2012-06-01 11:57 gaersoy Note Added: 0016821
2012-06-01 21:44 fman Note Added: 0016822
2012-06-04 07:43 gaersoy Note Added: 0016827
2012-06-04 08:53 fman Note Added: 0016829
2012-09-10 12:49 w.schmidt Note Added: 0017426
2012-09-10 13:45 fman Note Added: 0017427
2012-09-10 14:11 w.schmidt Note Added: 0017430
2012-09-28 09:38 w.schmidt Note Added: 0017589
2012-09-28 13:42 fman Note Added: 0017590
2012-09-28 13:42 fman Task Workflow Status => READY FOR TESTING
2012-09-28 13:42 fman Status new => closed
2012-09-28 13:42 fman Assigned To => fman
2012-09-28 13:42 fman Resolution open => fixed
2012-09-28 13:42 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker